k0rdent AI Docs

Retrieve identity provider details

Visibility: public · internal ( OpenAPI Custom Extension: x-visibility )

Retrieve identity provider configuration.

GET
/v1/regions/global/iam/providers/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Path Parameters

id*string

Unique identity provider identifier

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.k0rdent.ai/v1/regions/global/iam/providers/string"
{
  "selfLink": "/v1/regions/global/iam/providers/provider-m5n6o7",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "provider-m5n6o7",
  "displayName": "Customer A OIDC",
  "enabled": true,
  "tenantDomain": "string",
  "oidcConfig": {
    "discoveryUrl": "https://customerA-idp.com/.well-known/openid-configuration",
    "clientId": "CLIENT_ID_FROM_CUSTOMER",
    "clientSecret": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings